## gimpfileops gimpfileops |

## Functions

gchar * | gimp_temp_name ()
gint32 | gimp_file_load ()
gint32 | gimp_file_load_layer ()
gint * | gimp_file_load_layers ()
gboolean | gimp_file_save ()
gboolean | gimp_file_save_thumbnail ()
gboolean | gimp_register_magic_load_handler ()
gboolean | gimp_register_load_handler ()
gboolean | gimp_register_save_handler ()
gboolean | gimp_register_file_handler_mime ()
gboolean | gimp_register_thumbnail_loader ()

## Description

## Functions

### gimp_temp_name ()

    gchar *
    gimp_temp_name (const gchar *extension);

### gimp_file_load ()

    gint32
    gimp_file_load (GimpRunMode run_mode,
                    const gchar *filename,
                    const gchar *raw_filename);

### gimp_file_load_layer ()

    gint32
    gimp_file_load_layer (GimpRunMode run_mode,
                          gint32 image_ID,
                          const gchar *filename);

Since: GIMP 2.4

### gimp_file_load_layers ()

    gint *
    gimp_file_load_layers (GimpRunMode run_mode,
                           gint32 image_ID,
                           const gchar *filename,
                           gint *num_layers);

Since: GIMP 2.4

### gimp_file_save ()

    gboolean
    gimp_file_save (GimpRunMode run_mode,
                    gint32 image_ID,
                    gint32 drawable_ID,
                    const gchar *filename,
                    const gchar *raw_filename);

### gimp_file_save_thumbnail ()

    gboolean
    gimp_file_save_thumbnail (gint32 image_ID,
                              const gchar *filename);

### gimp_register_magic_load_handler ()

    gboolean
    gimp_register_magic_load_handler (const gchar *procedure_name,
                                      const gchar *extensions,
                                      const gchar *prefixes,
                                      const gchar *magics);

### gimp_register_load_handler ()

    gboolean
    gimp_register_load_handler (const gchar *procedure_name,
                                const gchar *extensions,
                                const gchar *prefixes);

### gimp_register_save_handler ()

    gboolean
    gimp_register_save_handler (const gchar *procedure_name,
                                const gchar *extensions,
                                const gchar *prefixes);

### gimp_register_file_handler_mime ()

    gboolean
    gimp_register_file_handler_mime (const gchar *procedure_name,
                                     const gchar *mime_type);

Since: GIMP 2.2

### gimp_register_thumbnail_loader ()

    gboolean
    gimp_register_thumbnail_loader (const gchar *load_proc,
                                    const gchar *thumb_proc);

Since: GIMP 2.2

## Types and Values